#!/bin/sh

# Call: piconfigscript.sh /dev/sdb asnupb1 10.0.1.1

MOUNTPOINT=/tmp/asn

echo $MOUNTPOINT

mkdir -p $MOUNTPOINT

mount $(echo $1)2 $MOUNTPOINT
mount $(echo $1)1 $MOUNTPOINT/boot

cat <<EOT >> $MOUNTPOINT/etc/network/interfaces

auto wlan0
iface wlan0 inet static
   address $3
   netmask 255.255.0.0
   wireless-channel 1
   wireless-essid ASN
   wireless-mode ad-hoc

auto lo eth0
iface eth0 inet dhcp
   
EOT

# rename node to selected node name (2. parameter)
echo $2 > $MOUNTPOINT/etc/hostname

# Create user asn
echo "asn:x:1001:1000:,,,:/home/asn:/bin/bash" >> $MOUNTPOINT/etc/passwd

# change password for asn to asn
echo "asn:\$6\$Sd9rfCOH\$aHDPxQUcDMn.99y13.j/k0ny6MVk1uJct2wR8m5FZGTsZ7giLwTOwvPp3HXCh2FGILg/brKA9mrvuc/lBYw9./:17641:0:99999:7:::" >> $MOUNTPOINT/etc/shadow
sed -i "s/^\s*sudo:x:27:pi/sudo:x:27:pi,asn/" $MOUNTPOINT/etc/group

echo "INFO: Created user asn with password asn -> Change this for security!"

# create user directory
mkdir -p $MOUNTPOINT/home/asn
chown 1001:1000 $MOUNTPOINT/home/asn

# Add
cat <<EOT > $MOUNTPOINT/etc/hosts
127.0.0.1       localhost
::1             localhost ip6-localhost ip6-loopback
ff02::1         ip6-allnodes
ff02::2         ip6-allrouters

127.0.1.1       $2

EOT

for i in {1..254}
do
  echo "10.0.1.$i       asnupb$i" >> $MOUNTPOINT/etc/hosts
done

for i in {1..254}
do
  echo "10.0.2.$i       asnrub$i" >> $MOUNTPOINT/etc/hosts
done

for i in {1..254}
do
  echo "10.0.3.$i       asnfau$i" >> $MOUNTPOINT/etc/hosts
done

# Setting up the OCTO soundcard from audio injector
sed -i "s/^\s*dtparam=audio/#dtparam=audio/" $MOUNTPOINT/boot/config.txt
echo "# enable the AudioInjector.net sound card" >> $MOUNTPOINT/boot/config.txt
echo "dtoverlay=audioinjector-addons" >> $MOUNTPOINT/boot/config.txt


sync

umount $MOUNTPOINT

rmdir $MOUNTPOINT



